summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author ponce <matteo.bernardini@sns.it>2010-09-20 19:15:06 -0400
committer Robby Workman <rworkman@slackbuilds.org>2010-09-21 22:09:41 -0500
commit435f7324e5ac2ca7044d6e1cd12a27c429fc3905 (patch)
tree951a0bc5c59d8d81701bed8e5e710b55f964022a /libraries
parentebdd08426f18d9920f2a542b7728466741f803f2 (diff)
downloadslackbuilds-435f7324e5ac2ca7044d6e1cd12a27c429fc3905.tar.gz
slackbuilds-435f7324e5ac2ca7044d6e1cd12a27c429fc3905.tar.xz
libraries/libunicap: Added (video capture api)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libunicap/README8
-rw-r--r--libraries/libunicap/libunicap.SlackBuild85
-rw-r--r--libraries/libunicap/libunicap.info10
-rw-r--r--libraries/libunicap/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/libraries/libunicap/README b/libraries/libunicap/README
new file mode 100644
index 0000000000..792c9234af
--- /dev/null
+++ b/libraries/libunicap/README
@@ -0,0 +1,8 @@
+libunicap (video capture api)
+
+unicap provides a uniform interface to video capture devices. It allows
+applications to use any supported video capture device via a single API.
+It offers a high level of hardware abstraction while maintaining maximum
+performance. Zero copy capture of video buffers is possible for devices
+supporting it allowing fast video capture with low CPU usage even on
+low-speed architectures.
diff --git a/libraries/libunicap/libunicap.SlackBuild b/libraries/libunicap/libunicap.SlackBuild
new file mode 100644
index 0000000000..ff0fe6aea5
--- /dev/null
+++ b/libraries/libunicap/libunicap.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for unicap
+
+# Written by ponce <matteo.bernardini@sns.it>
+# based on slackbuilds.org default template
+
+PRGNAM=libunicap
+VERSION=${VERSION:-0.9.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libunicap/libunicap.info b/libraries/libunicap/libunicap.info
new file mode 100644
index 0000000000..ac5e94302a
--- /dev/null
+++ b/libraries/libunicap/libunicap.info
@@ -0,0 +1,10 @@
+PRGNAM="libunicap"
+VERSION="0.9.11"
+HOMEPAGE="http://unicap-imaging.org/"
+DOWNLOAD="http://unicap-imaging.org/downloads/libunicap-0.9.11.tar.gz"
+MD5SUM="e66bc03dd3866ddb6e017e5cb431173e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@sns.it"
+APPROVED="dsomero"
diff --git a/libraries/libunicap/slack-desc b/libraries/libunicap/slack-desc
new file mode 100644
index 0000000000..8e9aa39da8
--- /dev/null
+++ b/libraries/libunicap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libunicap: libunicap (video capture api)
+libunicap:
+libunicap: unicap provides a uniform interface to video capture devices.
+libunicap: It allows applications to use any supported video capture device
+libunicap: via a single API.
+libunicap:
+libunicap: homepage: http://unicap-imaging.org/
+libunicap:
+libunicap:
+libunicap:
+libunicap: